org.eclipse.jgit.transport

## Enum UploadPack.RequestPolicy

- java.lang.Object
- - java.lang.Enum<UploadPack.RequestPolicy>
  - - org.eclipse.jgit.transport.UploadPack.RequestPolicy

All Implemented Interfaces:
  Serializable, Comparable<UploadPack.RequestPolicy>

Enclosing class:
  UploadPack

    public static enum UploadPack.RequestPolicy
    extends Enum<UploadPack.RequestPolicy>

Policy the server uses to validate client requests

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ADVERTISED` Client may only ask for objects the server advertised a reference for.
`ANY` Client may ask for any SHA-1 in the repository.
`REACHABLE_COMMIT` Client may ask for any commit reachable from a reference advertised by the server.
`REACHABLE_COMMIT_TIP` Client may ask for any commit reachable from any reference, even if that reference wasn't advertised.
`TIP` Client may ask for objects that are the tip of any reference, even if not advertised.

### Method Summary

All Methods Static Methods Concrete Methods
`static UploadPack.RequestPolicy` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UploadPack.RequestPolicy[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ADVERTISED

    public static final UploadPack.RequestPolicy ADVERTISED

Client may only ask for objects the server advertised a reference for.

#### REACHABLE_COMMIT

    public static final UploadPack.RequestPolicy REACHABLE_COMMIT

Client may ask for any commit reachable from a reference advertised by the server.

#### TIP

    public static final UploadPack.RequestPolicy TIP

Client may ask for objects that are the tip of any reference, even if not advertised.

This may happen, for example, when a custom `RefFilter` is set.

Since:
  3.1

#### REACHABLE_COMMIT_TIP

    public static final UploadPack.RequestPolicy REACHABLE_COMMIT_TIP

Client may ask for any commit reachable from any reference, even if that reference wasn't advertised.

Since:
  3.1

#### ANY

    public static final UploadPack.RequestPolicy ANY

Client may ask for any SHA-1 in the repository.

### Method Detail

#### values

    public static UploadPack.RequestPolicy[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (UploadPack.RequestPolicy c : UploadPack.RequestPolicy.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static UploadPack.RequestPolicy valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null